> ## Documentation Index
> Fetch the complete documentation index at: https://flutterwaveinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List refunds



## OpenAPI

````yaml get /refunds
openapi: 3.0.0
info:
  title: Flutterwave v3
  description: >-
    The Flutterwave for Business(F4B) APIs collection for all v3 endpoints with
    pre-formatted requests and response examples.
  contact: {}
  version: '1.0'
servers:
  - url: https://api.flutterwave.com/v3
    variables: {}
security:
  - bearer: []
tags:
  - name: Charges
    description: >-
      The charge APIs includes several payment collection methods to help you
      collect payments.
  - name: Tokenized Charges
    description: Tokenize your customers' cards with Flutterwave for faster payments
  - name: Preauthorization
    description: Manage preauth attemps on card transactions
  - name: Transactions
    description: Manage transactions, query statuses, logs and fees
  - name: Transfers
    description: Transfers to local and international customers
  - name: Beneficiaries
    description: Manage transfer beneficiaries
  - name: Virtual Cards
    description: Manage Flutterwave virtual cards
  - name: Virtual Account Numbers
    description: Manage virtual accounts
  - name: Collection Subaccounts
    description: Manage Collection Subaccounts
  - name: Payout Subaccounts
    description: Manage Payout Subaccounts
  - name: Subscriptions
    description: Manage user subscriptions
  - name: Payment Plans
    description: Manage Payment Plans
  - name: Bill Payments
    description: Manage Bill Payments
  - name: Banks
    description: Fetch Bank Information
  - name: Misc
    description: >-
      Verify user information like bank verification numbers, card bins, account
      information
  - name: Settlements
    description: Manage your settlements
  - name: Otps
    description: Create and manage one time passwords (OTPs) for your applications
  - name: Chargebacks
    description: Manage Chargebacks
paths:
  /refunds:
    get:
      tags:
        - Transactions
      summary: Get all refunds
      description: query multiple previously initiated refunds
      operationId: Getallrefunds
      parameters: []
      responses:
        '200':
          description: OK
          headers:
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Tue, 19 Mar 2024 09:58:14 GMT
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '5895'
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
            Server:
              content:
                text/plain:
                  schema:
                    type: string
                  example: nginx/1.24.0
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth, mid, altmodeauth, cc-admin-token, x-flw-lang
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"1707-SXAbDUD4Vdv1c5A4+MuaFA"
            Strict-Transport-Security:
              content:
                text/plain:
                  schema:
                    type: string
                  example: max-age=31536000; includeSubDomains; preload; always;
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/Getallrefunds'
      deprecated: false
components:
  schemas:
    Getallrefunds:
      title: Getallrefunds
      required:
        - status
        - message
        - meta
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        meta:
          $ref: '#/components/schemas/Meta23'
        data:
          type: array
          items:
            $ref: '#/components/schemas/Data27'
          description: ''
    Meta23:
      title: Meta23
      required:
        - page_info
      type: object
      properties:
        page_info:
          $ref: '#/components/schemas/PageInfo1'
      example:
        page_info:
          total: 43
          current_page: 1
          total_pages: 3
          page_size: 20
    Data27:
      title: Data27
      required:
        - id
        - amount_refunded
        - status
        - flw_ref
        - comment
        - settlement_id
        - meta
        - created_at
        - account_id
        - transaction_id
      type: object
      properties:
        id:
          type: integer
          format: int32
        amount_refunded:
          oneOf:
            - type: integer
              format: int32
            - type: number
        status:
          type: string
        flw_ref:
          type: string
        comment:
          type: string
          nullable: true
        settlement_id:
          type: string
        meta:
          type: string
        created_at:
          type: string
        account_id:
          type: integer
          format: int32
        transaction_id:
          type: integer
          format: int32
    PageInfo1:
      title: PageInfo1
      required:
        - total
        - current_page
        - total_pages
        - page_size
      type: object
      properties:
        total:
          type: integer
          format: int32
        current_page:
          type: integer
          format: int32
        total_pages:
          type: integer
          format: int32
        page_size:
          type: integer
          format: int32
      example:
        total: 43
        current_page: 1
        total_pages: 3
        page_size: 20
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````